aboutsummaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
Diffstat (limited to 'test')
-rw-r--r--test/git/install_git_from_src_bullseye.sh16
-rw-r--r--test/git/install_git_from_src_buster.sh16
-rw-r--r--test/git/scenarios.json18
3 files changed, 50 insertions, 0 deletions
diff --git a/test/git/install_git_from_src_bullseye.sh b/test/git/install_git_from_src_bullseye.sh
new file mode 100644
index 0000000..4bdcf30
--- /dev/null
+++ b/test/git/install_git_from_src_bullseye.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+check "version" git --version
+check "gettext" dpkg-query -l gettext
+
+cd /tmp && git clone https://github.com/devcontainers/feature-starter.git
+cd feature-starter
+check "perl" bash -c "git -c grep.patternType=perl grep -q 'a.+b'"
+
+# Report result
+reportResults
diff --git a/test/git/install_git_from_src_buster.sh b/test/git/install_git_from_src_buster.sh
new file mode 100644
index 0000000..4bdcf30
--- /dev/null
+++ b/test/git/install_git_from_src_buster.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+check "version" git --version
+check "gettext" dpkg-query -l gettext
+
+cd /tmp && git clone https://github.com/devcontainers/feature-starter.git
+cd feature-starter
+check "perl" bash -c "git -c grep.patternType=perl grep -q 'a.+b'"
+
+# Report result
+reportResults
diff --git a/test/git/scenarios.json b/test/git/scenarios.json
index 90aa7e3..22af7a8 100644
--- a/test/git/scenarios.json
+++ b/test/git/scenarios.json
@@ -25,5 +25,23 @@
"ppa": "false"
}
}
+ },
+ "install_git_from_src_bullseye": {
+ "image": "debian:bullseye",
+ "features": {
+ "git": {
+ "version": "latest",
+ "ppa": "false"
+ }
+ }
+ },
+ "install_git_from_src_buster": {
+ "image": "debian:buster",
+ "features": {
+ "git": {
+ "version": "latest",
+ "ppa": "false"
+ }
+ }
}
}